Subject: Re: bug#43622: 28.0.50; [CLEANUP][PATCH] cperl-mode: Eliminate dead code

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Sep 2020 15:53:14 +0200

Harald Jörg <[email-masked]> writes:

> As recently discussed on the emacs-devel list, I'd like to eradicate
> conditional code from cperl-mode where the conditionals evaluate to nil.
>
> This is a rather large part of the cleanup, related to all that stuff
> which has changed in the last years with regard to font-lock-mode and
> cperl-mode's homegrown fontification based on features which are no
> longer available.
>
> I tested Perl code on my repositories (twiki.org code and
> https://github.com/act-psgi/Act), written by different authors in
> different styles, and could not find any change in fontification.

Looks good, so I've applied it to Emacs 28 with one change:

In end of data:
progmodes/cperl-mode.el:8525:1: Warning: the function `cperl-init-faces-weak'
    is not known to be defined.

This function was removed, but the call wasn't, so I removed it (and
changed the surrounding code slightly).  If you could check that I
didn't mess up that bit, that'd be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no